For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
      • GETRetrieve Benefits for Employee
    • PATCHProfiles
LogoLogo
SupportDeel Home
EndpointsEor Worker Benefits

Retrieve Benefits for Employee

GET
/eor/worker/benefits
GET
/rest/v2/eor/worker/benefits
$curl https://api.letsdeel.com/rest/v2/eor/worker/benefits \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "benefits": [
5 {
6 "name": "Healthcare",
7 "type": "HEALTHCARE",
8 "status": "ENROLLED",
9 "description": "Ensure the employee is covered by a healthcare option.",
10 "enrollment_details": {
11 "selected_plan": {
12 "id": "c6f6fa50-badf-4950-88ee-2849e76aac8c",
13 "name": "Gold",
14 "attachments": [
15 {
16 "id": "ce022a6d-c24b-48c5-a1a7-ac91e85035f2",
17 "url": "[https://www.provider-a.com/attachments/Canada_Benefits.pdf](https://www.provider-a.com/attachments/Canada_Benefits.pdf)",
18 "label": "Canada_Benefits.pdf"
19 }
20 ]
21 },
22 "selected_provider": {
23 "id": "a8cbeb12-32e3-44e3-3e1d-2a41c014d0b4",
24 "name": "ManuLife",
25 "attachments": [
26 {
27 "id": "ce022a6d-c24b-48c5-a1a7-ac91e85035f2",
28 "url": "[https://www.provider-a.com/attachments/Canada_Benefits.pdf](https://www.provider-a.com/attachments/Canada_Benefits.pdf)",
29 "label": "Canada_Benefits.pdf"
30 }
31 ],
32 "home_page_url": "[https://wwwec7.manulife.com/signin/#benefits](https://wwwec7.manulife.com/signin/#benefits)",
33 "is_unisure": true
34 },
35 "current_cycle_plan_cost": 100,
36 "current_cycle_employer_contribution": 50
37 },
38 "organization_selection": {
39 "selected_plan": {
40 "id": "c6f6fa50-badf-4950-88ee-2849e76aac8c",
41 "name": "Gold",
42 "attachments": [
43 {
44 "id": "ce022a6d-c24b-48c5-a1a7-ac91e85035f2",
45 "url": "[https://www.provider-a.com/attachments/Canada_Benefits.pdf](https://www.provider-a.com/attachments/Canada_Benefits.pdf)",
46 "label": "Canada_Benefits.pdf"
47 }
48 ]
49 },
50 "selected_provider": {
51 "id": "f8cbeb32-14e3-44e3-3e1d-2a41c014d0b4",
52 "name": "ManuLife",
53 "attachments": [
54 {
55 "id": "ce022a6d-c24b-48c5-a1a7-ac91e85035f2",
56 "url": "[https://www.provider-a.com/attachments/Canada_Benefits.pdf](https://www.provider-a.com/attachments/Canada_Benefits.pdf)",
57 "label": "Canada_Benefits.pdf"
58 }
59 ],
60 "home_page_url": "[https://wwwec7.manulife.com/signin/#benefits](https://wwwec7.manulife.com/signin/#benefits)",
61 "is_unisure": true
62 }
63 },
64 "id": "5f4d1f3f-4b3b-4b1e-8f4f-3b1f4f1b3b4b",
65 "end_date": "2025-12-31",
66 "plan_url": "https://plan.example",
67 "contract_type": "EOR",
68 "provider_name": "ManuLife",
69 "coverage_group": "EMPLOYEE",
70 "effective_date": "2025-02-01",
71 "benefit_type_code": "HEALTHCARE",
72 "enrollment_status": "AWAITING_ENROLLMENT",
73 "enrollment_window": {
74 "ends_at": "2025-01-31",
75 "trigger": "open_enrollment",
76 "starts_at": "2025-01-01"
77 },
78 "provider_website_url": "https://provider.example",
79 "employee_contribution": {
80 "type": "FIXED_AMOUNT",
81 "value": "1.23",
82 "amount": 100,
83 "currency": "USD",
84 "frequency": "MONTHLY"
85 },
86 "employer_contribution": {
87 "type": "FIXED_AMOUNT",
88 "value": 50,
89 "amount": 50,
90 "currency": "USD",
91 "frequency": "MONTHLY"
92 }
93 }
94 ],
95 "currency": "USD",
96 "contract_id": "m7yg6zp"
97 }
98 ]
99}

Returns the benefits for the authenticated employee. The employee identity is inferred from the auth token, so this endpoint must be called with an employee-scoped token rather than a client token. Token scopes: benefits:read

Was this page helpful?
Previous

Acknowledge a compliance document

Next
Built with

Authentication

AuthorizationBearer

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Response

Successful operation.
datalist of objects
List of contracts with their associated benefits. An employee may have benefits across multiple contracts if they have more than one active engagement.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error